package com.inca.npbusi.zx.websacon;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.gui.ste.CSteModel;
import com.inca.np.util.DecimalHelper;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.ObjectUtils;
import com.inca.zx.pubmethod.ZXCheckMethod;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;
import org.apache.log4j.Category;

public class Web_sa_con_master extends CMasterModel {
   private Category a = Category.getInstance(Web_sa_con_master.class);
   private List<String> b = new ArrayList();
   private int c = 0;

   public Web_sa_con_master(CFrame var1, CMdeModel var2) {
      super(var1, "网上订货总单", var2);
   }

   public String getTablename() {
      return "web_sa_con_doc_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected void on_retrieved() {
      for(int var1 = 0; var1 < this.getRowCount(); ++var1) {
         String var2 = this.getItemValue(var1, "customerid");
         String var3 = this.getItemValue(var1, "storageid");
         String var4 = this.getItemValue(var1, "entryid");
         String var5 = this.getItemValue(var1, "ddtype");
         String var6 = this.getItemValue(var1, "usestatus");
         String var7;
         if ((var7 = this.getItemValue(var1, "selectflag")) == null || var7.trim().isEmpty()) {
            this.setItemValue(var1, "selectflag", "0");
            this.setdbStatus(var1, 0);
         }

         if (var3.trim().isEmpty() && var6.trim().equals("1")) {
            var2 = String.format("select a.storageid,b.storagename,b.opcode storageopcode from web_custom_st_def a,bms_st_def b where a.storageid=b.storageid and compayid=%s and b.entryid=%s", ZXCheckMethod.isNullRe_one(var2), ZXCheckMethod.isNullRe_one(var4));
            if (var5.trim().equals("1")) {
               var2 = var2 + " and typeid=2";
            } else if (var5.trim().equals("2")) {
               var2 = var2 + " and typeid=1";
            }

            try {
               DBTableModel var9;
               if (!ObjectUtils.isNULL(var9 = ZXCheckMethod.getModelBySql(var2)) && var9.getRowCount() == 1 && var3.trim().isEmpty()) {
                  this.setItemValue(var1, "storageid", var9.getItemValue(0, "storageid"));
                  this.setItemValue(var1, "storagename", var9.getItemValue(0, "storagename"));
                  this.setItemValue(var1, "storageopcode", var9.getItemValue(0, "storageopcode"));
                  this.setdbStatus(var1, 0);
                  this.tableChanged();
                  this.a.error("--------" + var9.getItemValue(0, "storageid") + "---------" + var9.getItemValue(0, "storagename") + "-----------");
               }
            } catch (Exception var8) {
               var8.printStackTrace();
            }
         }
      }

      super.on_retrieved();
   }

   protected JPanel createSecondtoolbar() {
      JPanel var1 = new JPanel();
      CToolbar var2 = new CToolbar();
      var1.setLayout(new BorderLayout());
      var1.add(var2);
      return NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(var1, "送审", "送审", "送审", 69, this.mdemodel), "业务审批", "业务审批", "业务审批", 65, this.mdemodel), "财务审批", "财务审批", "财务审批", 83, this.mdemodel), "中止", "中止", "中止", 87, this.mdemodel);
   }

   protected String getOtherWheres() {
      String var1 = ClientUserManager.getCurrentUser().getEntryid();
      return "ddtype in(1,2) and usestatus<>0 and dtlcount>0 and entryid=" + ZXCheckMethod.isNullRe_one(var1);
   }

   public String getHovOtherWheres(int var1, String var2) {
      String var3 = "";
      if (var2.trim().equalsIgnoreCase("storageopcode")) {
         var2 = this.getItemValue(var1, "customerid");
         var3 = this.getItemValue(var1, "entryid");
         String var5 = this.getItemValue(var1, "ddtype");
         String var4 = "-1";
         if (var5.trim().equals("1")) {
            var4 = "2";
         } else if (var5.trim().equals("2")) {
            var4 = "1";
         }

         var3 = String.format("customid=%s and entryid=%s and typeid=%s", ZXCheckMethod.isNullRe_one(var2), ZXCheckMethod.isNullRe_one(var3), var4);
      } else if (var2.trim().equalsIgnoreCase("customerid")) {
         var2 = this.getItemValue(var1, "entryid");
         var3 = String.format(" exists(select 1 from pub_entry_customer where customid=pub_customer_v.customid and entryid=%s)", ZXCheckMethod.isNullRe_one(var2));
      }

      return var3;
   }

   public void on_doubleclick(int var1, int var2) {
      String var3 = this.getItemValue(var1, "usestatus");
      String var4 = this.getItemValue(var1, "selectflag");
      this.getItemValue(var1, "storageid");
      if (var4.trim().equals("1")) {
         var4 = "0";
      } else {
         var4 = "1";
      }

      if (DecimalHelper.comparaDecimal("1", var3) > 0) {
         this.infoMessage("提示", "临时单据不能生成销售订单");
      } else {
         this.setItemValue(var1, "selectflag", var4);
         this.mdemodel.getMasterModel().getDBtableModel().setdbStatus(var1, 0);

         try {
            if (!this.b.contains(String.valueOf(this.getRow()))) {
               for(int var7 = 0; var7 < 4 && this.mdemodel.getDetailModel().getRowCount() == 0; ++var7) {
                  Thread.sleep(500L);
               }

               Thread.sleep(500L);
               this.b.add(String.valueOf(this.getRow()));
            }
         } catch (InterruptedException var6) {
            var6.printStackTrace();
         }

         var4 = var4;
         CSteModel var8 = this.mdemodel.getDetailModel();

         for(int var5 = 0; var5 < var8.getRowCount(); ++var5) {
            var8.setItemValue(var5, "selectflag", var4);
            var8.getDBtableModel().setdbStatus(var5, 0);
         }

         super.on_doubleclick(var1, var2);
      }
   }

   public void recreateDBModel() {
      super.recreateDBModel();

      for(int var1 = 0; var1 < this.tablecolumns.length; ++var1) {
         if ("selectflag".equals(this.tablecolumns[var1])) {
            this.c = var1;
            break;
         }
      }

      TableColumnModel var5 = this.table.getColumnModel();

      for(int var2 = 0; var2 < var5.getColumnCount(); ++var2) {
         TableColumn var3 = var5.getColumn(var2);
         DBColumnDisplayInfo var4;
         if (!(var4 = (DBColumnDisplayInfo)this.formcolumndisplayinfos.elementAt(var3.getModelIndex())).getColtype().equals("行号")) {
            var3.setCellRenderer(new a(var4));
         }
      }

   }

   protected String getEditablecolumns(int var1) {
      String var2 = "notColumn";
      if (this.getItemValue(var1, "usestatus").trim().equals("1")) {
         var2 = "storageopcode";
      }

      return var2;
   }

   class a extends CSteModel.PlainTablecellRender {
      private static final long serialVersionUID = 8001319514320264076L;

      public a(DBColumnDisplayInfo var2) {
         super(Web_sa_con_master.this, var2);
      }

      public final Component getTableCellRendererComponent(JTable var1, Object var2, boolean var3, boolean var4, int var5, int var6) {
         Component var8 = super.getTableCellRendererComponent(var1, var2, var3, var4, var5, var6);
         if (var5 >= Web_sa_con_master.this.getRowCount()) {
            return var8;
         } else {
            if ("1".equals(var1.getValueAt(var5, Web_sa_con_master.this.c))) {
               var8.setBackground(var1.getSelectionBackground());
            } else {
               Color var7;
               if ((var7 = Web_sa_con_master.this.getCellColor(var5, var6)) == null) {
                  var8.setForeground(Color.BLACK);
               } else {
                  var8.setForeground(var7);
               }
            }

            return var8;
         }
      }
   }
}
